-- 'University' Module
SET DATEFORMAT ymd

CREATE TABLE [dbo].[UniversityDepartment](
	[intDepartmentID] [int] IDENTITY(1,1) NOT NULL,
	[DepartmentName] [varchar](50) NOT NULL,
 CONSTRAINT [PK_UniversityDepartment] PRIMARY KEY CLUSTERED 
(
	[intDepartmentID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[DepartmentProfessor](
	[PersonID] [int] IDENTITY(1,1) NOT NULL,
	[intDepartmentID] [int] NOT NULL,
 CONSTRAINT [PK_DepartmentProfessor] PRIMARY KEY CLUSTERED 
(
	[PersonID] ASC,
	[intDepartmentID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[UniversityPeople](
	[PersonID] [int] IDENTITY(1,1) NOT NULL,
	[PersonType] [varchar](50) NOT NULL,
	[FirstName] [varchar](50) NOT NULL,
	[LastName] [varchar](50) NOT NULL,
	[Indentifier] [varchar](50) NOT NULL,
 CONSTRAINT [PK_UniversityPeople] PRIMARY KEY CLUSTERED 
(
	[PersonID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[UniversityClass](
	[ClassID] [int] IDENTITY(1,1) NOT NULL,
	[ClassName] [varchar](50) NOT NULL,
	[ClassNumber] [varchar](50) NOT NULL,
	[Syllabus] [varchar](50) NOT NULL,
	[StartDate] [smalldatetime] NOT NULL,
	[PersonID] [int] NOT NULL,
	[DepartmentID] [int] NOT NULL,
 CONSTRAINT [PK_UniversityClass] PRIMARY KEY CLUSTERED 
(
	[ClassID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[UniversityStudentClass](
	[PersonID] [int] NOT NULL,
	[ClassID] [int] NOT NULL,
 CONSTRAINT [PK_StudentClass] PRIMARY KEY CLUSTERED 
(
	[PersonID] ASC,
	[ClassID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO



-- Module database entries and settings
DECLARE @moduletypeid int

INSERT INTO cuyahoga_moduletype ([name],assemblyname,classname,path,editpath,inserttimestamp,updatetimestamp) 
VALUES ('University','Cuyahoga.Modules.University','Cuyahoga.Modules.University.UniversityModule','Modules/University/University.ascx', 'Modules/University/Admin/AdminUniversity.aspx', '2008-11-29 19:59:59.998', '2008-11-29 19:59:59.998')
SELECT @moduletypeid = Scope_Identity()

--INSERT INTO cuyahoga_modulesetting (moduletypeid, name, friendlyname, settingdatatype, iscustomtype, isrequired) VALUES (@moduletypeid, 'SETTING_NAME', 'Setting description text...', 'System.Boolean', 0, 1)

--NOTE: The 'servicekey' must be lower case (ToLower must be used in the code so any upper case entries do not work)
INSERT INTO cuyahoga_moduleservice (moduletypeid, servicekey, servicetype, classtype)
VALUES (@moduletypeid, 'university.universitydao', 'Cuyahoga.Modules.University.DataAccess.IUniversityDao, Cuyahoga.Modules.University', 'Cuyahoga.Modules.University.DataAccess.UniversityDao, Cuyahoga.Modules.University')
GO

INSERT INTO cuyahoga_version (assembly, major, minor, patch) VALUES ('Cuyahoga.Modules.University', 1, 6, 0)
GO


