﻿using System;
using System.Collections;
using System.Text.RegularExpressions;
using System.IO;
using System.Data;
using System.Web;

using Cuyahoga.Core; //Contains: INHibernateModule
using Cuyahoga.Core.Domain; //Contains: ModuleBase
using Cuyahoga.Core.Service;
using Cuyahoga.Core.Search;
using Cuyahoga.Core.Util;
using Cuyahoga.Core.Communication;

using Cuyahoga.Web.Util;
using Cuyahoga.Core.DataAccess; //Contains: ICommonDao
using Castle.Services.Transaction;
using Castle.Core;

using Cuyahoga.Modules.University.DataAccess; //Needed or: 'as it has dependencies to be satisfied'
using Cuyahoga.Modules.University.Domain;

namespace Cuyahoga.Modules.University
{
    [Transactional]
    public class UniversityModule : ModuleBase, INHibernateModule
    {
        private IUniversityDao _universityDao;
        private ICommonDao _commonDao;


        public UniversityModule(ICommonDao commondao, IUniversityDao universitydao)
        {
            this._commonDao = commondao;
            this._universityDao = universitydao;

        }

        public IList GetDepartments()
        {
          return  this._universityDao.getDepartments();
        }
                                      
    }
}